Subject: [apps-review] Applications Area Review Team status

From: SM <[email-masked]>
Date: Wed, 22 Sep 2010 10:59:11 -0700

Dear Applications Area Review Team,

I'll start this message by saying that Applications Area Review Team 
would not exist without you volunteering to put in the time and 
effort to get the work done.  The team has been very active this 
month.  We got seven reviews done [1].  Dave Cridland deserves a 
special note for doing two reviews out of that.  There are still some 
reviews that are pending.  I'll list them in the monthly report to 
the Apps-discuss mailing list [2].

The objective of the Applications Area Review Team is to provide 
reviews.  I read that as meaning that, you have implicitly accepted 
to do the reviews that are assigned to you.  On  May 17th, I posted a 
message about how the team could get the work done [3].  I mentioned 
that you could notify me in advance if you are going on vacation or 
you cannot take up assignments.  If an expert review is needed and 
the assignment is not within your field of expertise, please let me know.

It has been suggested to me that the reviewer should confirm that he 
or she is taking the assignment.  I don't think that it would be 
workable in practice.  The deadline for an assignment can be less 
than a week and the next reviewer would have less time for the 
assignment if I have to wait a few days for your reply.  If the team 
thinks that it would be good to wait for the confirmation, I'll 
follow that practice.

My little experience of sending reminders points to it not always 
producing the desired results as people might be too busy to respond 
to them.  I may send out reminders a few days before the review is 
due on a best effort basis.

You are probably aware that WG Chairs outside the Application Area 
have asked the team for reviews of some of their drafts.  The team 
ends up looking bad if we cannot deliver on that in a timely 
manner.  Our friendly Area Directors have asked for a review of a 
draft since May 10th.  The review is still pending.

Regards,
S. Moonesamy

1. http://www.apps.ietf.org/content/apps-review-tracker
2. http://www.ietf.org/mail-archive/web/apps-discuss/current/msg01716.html
3. http://www.ietf.org/mail-archive/web/apps-review/current/msg00263.html

---

From: Ted Hardie <[email-masked]>
Date: Wed, 22 Sep 2010 11:07:48 -0700

> It has been suggested to me that the reviewer should confirm that he or she
> is taking the assignment.  I don't think that it would be workable in
> practice.  The deadline for an assignment can be less than a week and the
> next reviewer would have less time for the assignment if I have to wait a
> few days for your reply.  If the team thinks that it would be good to wait
> for the confirmation, I'll follow that practice.
>

I actually wondered whether I should send a "caught" message when
the review request to me came in. I understand your concern about delay,
but I think it would be a good idea (on a best effort basis, as for
your reminders
below) if folks agreeing to do a review did say something like "Will
do".  I will
do that in future, and I'd suggest others do so as well.

regards,

Ted

> My little experience of sending reminders points to it not always producing
> the desired results as people might be too busy to respond to them.  I may
> send out reminders a few days before the review is due on a best effort
> basis.
>
> You are probably aware that WG Chairs outside the Application Area have
> asked the team for reviews of some of their drafts.  The team ends up
> looking bad if we cannot deliver on that in a timely manner.  Our friendly
> Area Directors have asked for a review of a draft since May 10th.  The
> review is still pending.
>
> Regards,
> S. Moonesamy
>
> _______________________________________________
> apps-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-review
>

---

From: SM <[email-masked]>
Date: Wed, 22 Sep 2010 12:09:32 -0700

Hi Ted,
>do that in future, and I'd suggest others do so as well.

Thanks for the feedback.  It's easier for me if you send a "caught" 
message as I would be less concerned about the assignment then.  As I 
haven't had regular email exchanges with all team members, I am not 
familiar with everyone's style of communication.  I'll expect a reply 
within two days before considering a reassignment.  as far as 
possible, I'll send reminders a few days before the assignment is due.

I am open to suggestions on how to get the work done.  If I am doing 
anything wrong or anyone has an idea, feel free to drop me an email 
or post to the mailing list.

Best regards,
-sm

P.S. Thanks to Carsten.

---

From: Claudio Allocchio <[email-masked]>
Date: Wed, 22 Sep 2010 21:26:45 +0200 (CEST)

> do that in future, and I'd suggest others do so as well.

well, my guess is that any of us shall send a "got it!" when a request is 
assigned, it's also a matter of politeness to the review team coordinator 
:-)

Yes, let make it "good practice".

best regards to all of you.

------------------------------------------------------------------------------
Claudio Allocchio             G   A   R   R          [email-masked]
                         Senior Technical Officer
tel: +39 040 3758523      Italian Academic and       G=Claudio; S=Allocchio;
fax: +39 040 3758565        Research Network         P=garr; A=garr; C=it;

            PGP Key: http://www.cert.garr.it/PGP/keys.php3#ca